Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232795 - yum reports missing dependencies which are not accurate
Summary: yum reports missing dependencies which are not accurate
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 22:28 UTC by Jim Waldram
Modified: 2013-01-10 10:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 22:09:14 UTC


Attachments (Terms of Use)
full output of yum update (deleted)
2007-03-17 23:04 UTC, Jim Waldram
no flags Details

Description Jim Waldram 2007-03-17 22:28:07 UTC
Description of problem:
"yum update" reports missing dependencies which are installed

Version-Release number of selected component (if applicable):
RHEL 5 Desktop initial installation
yum-3.0.1-5.el5


How reproducible:
always

Steps to Reproduce:
1.as root: yum update  or  via system updater
2.
3.
  
Actual results via yum update:
--> Finished Dependency Resolution
Error: Missing Dependency: libstdc++ = 4.1.1-52.el5 is needed by package
libstdc++-devel
Error: Missing Dependency: libgfortran = 4.1.1-52.el5 is needed by package
gcc-gfortran
Error: Missing Dependency: libgcj = 4.1.1-52.el5 is needed by package gcc-java
Error: Missing Dependency: gcc = 4.1.1-52.el5 is needed by package gcc-c++
Error: Missing Dependency: gcc = 4.1.1-52.el5 is needed by package gcc-gfortran
Error: Missing Dependency: libstdc++ = 4.1.1-52.el5 is needed by package gcc-c++
Error: Missing Dependency: libgcj = 4.1.1-52.el5 is needed by package libgcj-devel
Error: Missing Dependency: wireshark = 0.99.5-EL4.1 is needed by package
wireshark-gnome
Error: Missing Dependency: gcc = 4.1.1-52.el5 is needed by package gcc-java
[root@bobcat rhn]# rpm -q libstdc++
libstdc++-4.1.1-52.el5
[root@bobcat rhn]# rpm -q libgcj
libgcj-4.1.1-52.el5
[root@bobcat rhn]# rpm -q gcc
gcc-4.1.1-52.el5


Expected results:
packages would be updated

Additional info:

Comment 1 Jim Waldram 2007-03-17 23:04:11 UTC
Created attachment 150322 [details]
full output of yum update

This is a RHEL 5 client upgrade install over a fully updated RHEL 4 WS
installation.  The dependencies appear for packages that do not appear to be
slated for updating.

Comment 2 Jeremy Katz 2007-03-19 22:09:14 UTC
If you're updating from WS, you need to do Client + a Workstation Installation
Number.  Otherwise, you don't have the full set of packages to match to what you
previously had.


Note You need to log in before you can comment on or make changes to this bug.